Bug 55868 - Endless beeps after GRUB loading stage 2 appears on screen
Endless beeps after GRUB loading stage 2 appears on screen
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-07 17:53 EST by asasas
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-07 12:36:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description asasas 2001-11-07 17:53:05 EST
Description of problem:
Tyan Thunder S2510 Dual PIII 1GHz / 2G ECC Registered RAM / Dual NICs

This drove me nuts. After being unable to install onto a 3Ware Escalade 
RAID array (I'll file a separate bug) I yanked the RAID card and tried 
installing an a single drive. Worked like a charm, but on reboot after the 
message GRUB loading stage 2 appeared got an endless series of beeps. 
Tried reinstalling a couple of times with no success and the same error 
message. Finally gave LILO a try and all worked fine.

Have been running 7.1 on this hardware just fine prior to the 7.2 install 
attempt. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install redhat with Server profile
2. After install finishes wait for reboot to complete

	

Actual Results:  And endless series of beeps, let it run for a minute 
before yanking the power cord. 

Expected Results:  Boot up to text mode login prompt

Additional info:
Comment 1 Jeremy Katz 2001-11-18 10:18:33 EST
What type of motherboard is this with?  What type of drives do you have attached
to the system?  Do you have the most updated version of the BIOS for your machine?
Comment 2 asasas 2001-11-18 14:26:40 EST
Per bug report:
Motherboard is a Tyan Thunder S2510 (Uses the ServerWorks chipset I beleive).
Using IBM 75XP's (DLTA-3070-30) x 2, Dual onboard nics.
Comment 3 d.e.baker 2001-11-19 23:35:24 EST
Have observed the same problem on an Intel ISP1100 (440BX chipset, 256MB, Bios 
P15) with 750Mhz PIII.  Grub locks up after displaying "GRUB Loading stage2..." 
but LILO works fine.  100% reproducible.  Tried various partitioning schemes 
(single 4GB /, 20MB /boot with 50GB /, and others) all with same result.
Comment 4 asasas 2001-11-20 12:00:11 EST
Tried numerous schmes as well, automatic partition, 1 big partition, software 
RAID across two drives with no luck under any option.
Comment 5 Jeremy Katz 2001-11-29 18:37:50 EST
If you use lilo instead and have the lba32 keyword in /etc/lilo.conf, are you
able to boot?
Comment 6 asasas 2001-11-29 19:16:00 EST
Am currently using lilo to boot, and am in production so reluctant to futz with 
a working setup. Booting without lba32 works, am using linear which is I 
beleive a mutually exclusive option. 

Comment 7 Seth Bardash 2001-12-22 21:53:57 EST
Have same problem on a Supermicro 370DLE MB. Single 733MHz processor, 256 MB 
RECC DRAM, 20GB hda, CDROM hdc, Floppy. Default partition install of RH 7.2, 
installed "everything". Partitioning is /boot 47MB, / 18+gb, swap 518 MB.

This board also uses the serverworks LE chipset. Grub hangs with message in 
screen: Grub stage 2 loader....

Lilo runs fine. Also am using LBA32 line in lilo.conf. grub works fine on all 
our other machines: Intel 820 MB and an ASUS P5A.

I am willing to test or try any suggestions or changes as this system is for 
developement and can be changed at will.
Comment 8 Seth Bardash 2001-12-22 21:57:05 EST
Have same problem on a Supermicro 370DLE MB. Single 733MHz processor, 256 MB 
RECC DRAM, 20GB hda, CDROM hdc, Floppy. Default partition install of RH 7.2, 
installed "everything". Partitioning is /boot 47MB, / 18+gb, swap 518 MB.

This board also uses the serverworks LE chipset. Grub hangs with message in 
screen: Grub stage 2 loader....

Lilo runs fine. Also am using LBA32 line in lilo.conf. grub works fine on all 
our other machines: Intel 820 MB and an ASUS P5A.

I am willing to test or try any suggestions or changes as this system is for 
developement and can be changed at will.
Comment 9 Jeremy Katz 2002-01-02 15:07:37 EST
Could you try the test package at http://people.redhat.com/~katzj/grub/.  If you
install the package and then run `/sbin/grub-install /dev/hda` (or wherever you
have grub installed other than /dev/hda) and let me know if that works better,
it would be great.
Comment 10 Jason Tibbitts 2002-01-07 12:36:00 EST
The updated package fixed the problem for me.  My Supermicro 370DLE with 2
933MHz PIII processors and 2GB ECC RAM would immediately reboot as grub was
loading (instead of hanging as others have reported).  I updated the grub
package and did another kickstart install and everything booted fine.
Comment 11 Jeremy Katz 2002-01-12 14:50:40 EST
Great, this package should show up in rawhide in the next few days.

Note You need to log in before you can comment on or make changes to this bug.